Upstream information

CVE-2021-33465 at MITRE

Description

An issue was discovered in yasm version 1.3.0. There is a NULL pointer dereference in expand_mmacro() in modules/preprocs/nasm/nasm-pp.c.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1201911 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 yasm Affected
SUSE Enterprise Storage 6 yasm Affected
SUSE Enterprise Storage 7 yasm Affected
SUSE Enterprise Storage 7.1 yasm Affected
SUSE Linux Enterprise Desktop 15 SP3 yasm Affected
SUSE Linux Enterprise Desktop 15 SP4 yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 yasm Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 yasm Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS yasm Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 yasm Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 yasm Affected
SUSE Linux Enterprise Server 15 SP1-LTSS yasm Affected
SUSE Linux Enterprise Server 15 SP2-LTSS yasm Affected
SUSE Linux Enterprise Server 15 SP3 yasm Affected
SUSE Linux Enterprise Server 15 SP4 yasm Affected
SUSE Linux Enterprise Server 15-ESPOS yasm Affected
SUSE Linux Enterprise Server 15-LTSS yasm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 yasm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 yasm Affected
SUSE Linux Enterprise Server for SAP Applications 15 yasm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 yasm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 yasm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 yasm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 yasm Affected
SUSE Manager Proxy 4.1 yasm Affected
SUSE Manager Proxy 4.2 yasm Affected
SUSE Manager Proxy 4.3 yasm Affected
SUSE Manager Retail Branch Server 4.1 yasm Affected
SUSE Manager Retail Branch Server 4.2 yasm Affected
SUSE Manager Retail Branch Server 4.3 yasm Affected
SUSE Manager Server 4.1 yasm Affected
SUSE Manager Server 4.2 yasm Affected
SUSE Manager Server 4.3 yasm Affected


SUSE Timeline for this CVE

CVE page created: Tue Jul 26 22:00:26 2022
CVE page last modified: Tue Nov 29 04:15:29 2022